View Issue Details

IDProjectCategoryView StatusLast Update
0012086MediaMonkey for AndroidPlaybackpublic2014-12-01 19:36
Reportermarek 
PriorityurgentSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version1.1.1 
Target Version1.1.0Fixed in Version1.1.0 
Summary0012086: Summary: Refactor and improvements of playback
DescriptionI have created this issue to summarize all small tasks that needs to be done to finalize refactor of playback service and performance improvements.

I will also attach all related issues.

So this issue can be used to see progress and all undone tasks.

Following things has to be implemented/refactored to support new implementation:
a) Video playback

b) Video NP screen - there was a refactor of NP screen. Both NP screens are now merged and have common parent. But some UI components (Overlay handler,...) are not working in video NP screen now.

c) UPnP playback - new implementation works with Crates. UPnP playback has to be packaged to this crate and some changed in Upnp addable has to be done.

d) Shuffle playback - history in database and random playback has to be added. Old implementation is not usable. History will be syncable and persistently stored.

e) Repeat actions - repeat button has to be implemented

f) Clean PlaybackService code - this is still very large class that has to be cleared from old implementation. The functionality is gradually extracted from this service to newly implemented classes. But the old implementation had to remain there and has to be wiped as soon as all functionality will be extracted.

g) Extract listeners on playback state - there are already some extracted listeners. Some others are missing - Widgets, etc.

h) Equalizer - change to work with new implementation

i) Lyrics searcher

j) AlbumArt searcher

k) Sleep Timer
TagsNo tags attached.
Fixed in build344

Relationships

related to 0010744 resolvedmartin Now Playing tracklist performance 
related to 0012085 resolvedmartin Get working context actions with new media player/tracklist and new crate(definition of the view) 
related to 0010865 newrusty Ability to control player when screen is off 
related to 0009183 closedmartin Add equalizer 
related to 0011957 feedbackmartin Volume leveling is very limited for low-volume tracks 
related to 0011908 newmartin Custom fit / Automatic equalizer 
related to 0011859 resolvedmartin Shuffle: Pressing 'Back' after MMA has terminated plays a random track 
related to 0011851 resolvedmartin Improve layout of playback buttons in landscape view 
related to 0011907 assignedmartin Replace equalizer with 10-band equalizer 
parent of 0011484 closedmarek Now Playing AA appears ~.5s after playback begins 
parent of 0012011 resolvedmartin Equalizer works for one song and turns off 
parent of 0011981 closedmartin Widget: if Shuffle is enabled, 'back' plays a random track 
parent of 0010700 resolvedrusty Now Playing list can be easily lost and no way to recover it 
parent of 0011355 closedrusty Track# / Total Tracks in NP AA view 
parent of 0010611 resolvedmarek Implement Gapless playback 
related to 0012181 resolvedmarek Shuffle: Function Tweaks 
related to 0010193 new Start/Resume playing when you plug in headphones 

Activities

martin

2014-07-16 09:20

developer   ~0040346

Last edited: 2014-07-22 16:00

View 2 revisions

h) Equalizer - fixed

marek

2014-07-22 16:01

developer   ~0040355

a) fixed
b) fixed

martin

2014-07-23 14:33

developer   ~0040356

i) Lyrics searcher - fixed
j) AlbumArt searcher - fixed, but should be improved
k) Sleep Timer - fixed

marek

2014-08-12 08:55

developer   ~0040397

Last edited: 2014-08-12 08:57

View 2 revisions

c) fixed
g) fixed

marek

2014-12-01 15:08

developer   ~0041243

d) e) f) fixed in build 344

rusty

2014-12-01 19:36

administrator   ~0041246

Closing. Verified playback and any issues are tracked in independent bugs.